{% load static i18n %}<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta content="ie=edge" http-equiv="x-ua-compatible">
  <title>{% block title %}XalgoDevRM v0.4 Backend{% endblock title %}</title>
  <meta content="width=device-width, initial-scale=1.0" name="viewport">
  <meta content="Xalgorithms prototype integrated system, with editor and query mechanisms." name="description">
  <meta content="Xalgorithms Development Team" name="author">

  <!-- HTML5 shim, for IE6-8 support of HTML5 elements -->
  <!--[if lt IE 9]>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
  <![endif]-->

  <!-- Favicon and Web Manifest -->
  <link href="{% static 'favicon.ico' %}" rel="icon">
  <link href="{% static 'apple-touch-icon.png' %}" rel="apple-touch-icon" sizes="180x180">
  <link href="{% static 'favicon-32x32.png' %}" rel="icon" sizes="32x32" type="image/png">
  <link href="{% static 'favicon-16x16.png' %}" rel="icon" sizes="16x16" type="image/png">
  <link href="{% static 'site.webmanifest' %}" rel="manifest">

  {% block css %}

  <!-- Latest compiled and minified Bootstrap CSS -->
  <link crossorigin="anonymous" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" rel="stylesheet">


  <!-- Your stuff: Third-party CSS libraries go here -->

  <!-- This file stores project-specific CSS -->

  <link href="{% static 'css/project.css' %}" rel="stylesheet">


  {% endblock %}

</head>

<body>
<div class="mb-1">
  <nav class="navbar navbar-expand-md navbar-light bg-white border-bottom">
    <button aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"
            class="navbar-toggler navbar-toggler-right" data-target="#navbarSupportedContent" data-toggle="collapse"
            type="button">
      <span class="navbar-toggler-icon"></span>
    </button>
    <a class="navbar-brand" href="{% url 'home' %}"><b>Xalgo</b>DevRM <small>v0.4</small></a>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'home' %}">Home </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" target="_blank" href="https://xalgo-devrm-v1.netlify.app/">Xalgo-DevRM</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'statistics' %}">Statistics</a>
        </li>
        {% if request.user.is_authenticated %}
        <li class="nav-item">
          {# URL provided by django-allauth/account/urls.py #}
          <a class="nav-link" href="{% url 'users:detail' request.user.username  %}">{% trans "My Profile" %}
          </a>
        </li>
        <li class="nav-item">
          {# URL provided by django-allauth/account/urls.py #}
          <a class="nav-link" href="{% url 'account_logout' %}">{% trans "Sign Out" %}</a>
        </li>
        {% else %}
        <li class="nav-item">
          {# URL provided by django-allauth/account/urls.py #}
          <a class="nav-link" href="{% url 'account_signup' %}" id="sign-up-link">{% trans "Sign Up" %}</a>
        </li>
        <li class="nav-item">
          {# URL provided by django-allauth/account/urls.py #}
          <a class="nav-link" href="{% url 'account_login' %}" id="log-in-link">{% trans "Sign In" %}</a>
        </li>
        {% endif %}
      </ul>
    </div>
  </nav>

</div>

<div class="container">

  {% if messages %}
  {% for message in messages %}
  <div class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}">{{ message }}
    <button aria-label="Close" class="close" data-dismiss="alert" type="button"><span
      aria-hidden="true">&times;</span></button>
  </div>
  {% endfor %}
  {% endif %}

  <br/>
  {% block content %}
  {% endblock content %}
  <br/>

</div> <!-- /container -->

{% block modal %}{% endblock modal %}

<br/>

<footer class="footer page-footer font-small bg-white pt-4 border-top">

  <!-- Footer Links -->
  <div class="container text-center text-md-left">

    <!-- Grid row -->
    <div class="row">

      <!-- Grid column -->
      <div class="col-md-6 mt-md-0 mt-3">

        <!-- Content -->
        <h5 class="text-uppercase">
          Xalgorithms
        </h5>

        <p>
          This prototype <b>XalgoDevRM</b> backend is the latest
          experiment in a series of tabular rule systems conceptualized by the
          <a href="https://xalgorithms.org/" target="_blank">Xalgorithms Foundation.</a>
        </p>

      </div>
      <!-- Grid column -->

      <hr class="clearfix w-100 d-md-none pb-3">

      <!-- Grid column -->
      <div class="col-md-3 mb-md-0 mb-3">

        <!-- Links -->
        <h5 class="text-uppercase">Links</h5>

        <ul class="list-unstyled">
          <li>
            <a href="{% url 'privacy-policy' %}">Privacy Policy</a>
          </li>
          <li>
            <a href="{% url 'terms-of-service' %}">Terms of Service</a>
          </li>
          <li>
            <a href="https://github.com/RyanFleck/Xalgo-System-Prototype" target="_blank">Source Code</a>
          </li>
          <li>
            <a href="https://github.com/Xalgorithms" target="_blank">Xalgo Github</a>
          </li>
        </ul>

      </div>
      <!-- Grid column -->

      <!-- Grid column -->
      <div class="col-md-3 mb-md-0 mb-3">

        <!-- Links -->
        <h5 class="text-uppercase">Related</h5>

        <ul class="list-unstyled">
          <li>
            <a href="https://development.xalgorithms.org/" target="_blank">Developer Docs</a>
          </li>
          <li>
            <a href="https://github.com/Xalgorithms/interlibr-v1" target="_blank">Interlibr V1</a>
          </li>
          <li>
            <a href="https://www.gnu.org/licenses/agpl-3.0.en.html" target="_blank">GNU AGPL-3.0</a>
          </li>
          <li>
            <a href="https://creativecommons.org/" target="_blank">CC Licensing</a>
          </li>
        </ul>

      </div>
      <!-- Grid column -->

    </div>
    <!-- Grid row -->

  </div>
  <!-- Footer Links -->
  <div class="footer-copyright text-center py-3">
    <small>
      <a href="http://creativecommons.org/licenses/by-sa/4.0/" rel="license">
        CC BY-SA 4.0</a> 2020
      <a href="https://xalgorithms.org/" target="_blank">Xalgorithms Foundation </a>
    </small>
  </div>

</footer>
<!-- Le javascript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
{% block javascript %}

<!-- Bootstrap JS and its dependencies-->
<script crossorigin="anonymous"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
        src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script crossorigin="anonymous"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

<!-- Your stuff: Third-party javascript libraries go here -->


<!-- place project specific Javascript in this file -->

<script src="{% static 'js/project.js' %}"></script>


{% endblock javascript %}
</body>
</html>
